#*******************************************************************************
# QMetry Automation Framework provides a powerful and versatile platform to author 
# Automated Test Cases in Behavior Driven, Keyword Driven or Code Driven approach
#                
# Copyright 2016 Infostretch Corporation
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT
# OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE
#
# You should have received a copy of the GNU General Public License along with this program in the name of LICENSE.txt in the root folder of the distribution. If not, see https://opensource.org/licenses/gpl-3.0.html
#
# See the NOTICE.TXT file in root folder of this source files distribution 
# for additional information regarding copyright ownership and licenses
# of other open source software / files used by QMetry Automation Framework.
#
# For any inquiry or need additional information, please contact support-qaf@infostretch.com
#******************************************************************************

##################################################################
# appication.properties 
# this file should be located under ./resources directory
# if not then you need to specify file by system property "application.properties.file"
#
##################################################################
#provide base URL of application under test 
env.baseurl=https://www.google.co.in
env.resources=resources
resources.load.subdirs=1

#set appropriate teststep provider package
step.provider.pkg=com.google

#[selenium]
remote.server=localhost
remote.port=4444
#you can override this property from config file by providing "browser" parameter
#driver.name=chromeDriver
#driver.name=firefoxDriver
#driver.name=edgeDriver
driver.name=iexplorerDriver
#webdriver.remote.session=fd313470-4e25-4122-9009-5db2ae04c98d
selenium.wait.timeout=30000
#webdriver.ie.driver=F:/Downloads/selenium/IEDriverServer_Win32_2.22.0/IEDriverServer.exe
#webdriver.chrome.driver=F:/Downloads/selenium/chromedriver.exe
#selenium.screenshot.dir=test-results/img/
#selenium.report.dir=test-results/html/

#switch capturing screenshots on/off on checkpoint success 
selenium.success.screenshots=1

#wd.command.listeners=
#we.command.listeners=
#teststep.listeners=

retry.count=0

#set true to fill bean randomly from set of testdata
bean.populate.random=1

#set 1 to suppress success log, when 0 it will also show verification success message
report.log.skip.success=0

#webdriver.chrome.driver = ./resources/drivers/chromedriver.exe
#system.webdriver.gecko.driver=./resources/drivers/geckodriver.exe
#system.webdriver.edge.driver=./resources/drivers/MicrosoftWebDriver.exe
system.webdriver.ie.driver=./resources/drivers/IEDriverServer.exe